ConnectionFactoryDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.config.ConnectionFactoryDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.config
Class ConnectionFactoryDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
                      org.mule.transport.jms.config.ConnectionFactoryDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class ConnectionFactoryDefinitionParser

extends AbstractFirstResultSerialDefinitionParser

We want to set the connection factory as a pojo factory and then add attributes (username and password) on the parent

Field Summary
`static String` | `PASSWORD`
`static String` | `USERNAME`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`firstDefinition`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`ConnectionFactoryDefinitionParser()`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`doSingleBean, setReturnFirstResult`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
`addDelegate, addHandledException, disableAttribute, disableAttributes, disableAttributes, enableAttribute, enableAttributes, enableAttributes, enableAttributes, isExceptionHandled, muleParse, resetAttribute, resetNameAndId`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### USERNAME

    public static final String USERNAME

See Also:
  Constant Field Values

### PASSWORD

    public static final String PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### ConnectionFactoryDefinitionParser

    public ConnectionFactoryDefinitionParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.